Subject: [bess] [BESS] Conflicting rules among the Yang models on the association between IRB/AC interface and IP-VRF/MAC-VRF instance.

From: <[email-masked]>
Date: Tue, 23 Apr 2019 11:52:25 +0800 (CST)

Hi all,

I find some conflicting rules about interface-to-VRF binding between draft-ietf-rtgwg-ni-model-12 and draft-ietf-bess-l2vpn-yang-09.txt.

It is as below:

RULE1: [NI-model] Section 3.2 says that:

The bind-network-instance-name leaf provides the association between an

   interface and its associated NI (e.g., VRF or VSI). 

RULE2: [draft-ietf-bess-evpn-yang-06] Section 3.3 says that:

     augment 

     /ni:network-instances/ni:network-instance/ni:ni-type/l2vpn:l2vpn:

       +--rw evpn-instance?   evpn-instance-ref

and [draft-ietf-bess-l2vpn-yang-09.txt] Section 3.6.3 says that:

   Each entry in the endpoint list, may hold AC, PW or redundancy-grp

   references.  The core aspect of endpoint container is its flexible

   personality based on what user decides to include in it.  It is

   future-proofed with possible extensions that can be included in the

   endpoint container such as Integrated Route Bridging (IRB), PW

   Headend, Virtual Switch Instance, etc.

According to the RULE1, The bind-network-instance-name leaf provides the association between an interface and its associated MAC-VRF or IP-VRF.

According to the RULE2, IRB/AC interface is associated to it's EVPN MAC-VRF via the "end-point" entry.

So I have the follow two questions:

Question 1: How should I bind an AC to it's EVPN MAC-VRF according to these drafts? 

Question 2: How should I bind an IRB interface to it's EVPN MAC-VRF and EVPN IP-VRF according to these drafts?

For Question 1, my understanding is as below:

I should follow the RULE2 to bind an AC to it's associated EVPN MAC-VRF.

The RULE1 doesn't work for L2VPN ACs,

because if the RULE1 is applied to the association between AC and its associated MAC-VRF, 

It should be applied to the association between IRB interface and its associated MAC-VRF too.

But obviously the RULE1 should be applied to the association between IRB interface and its associated IP-VRF.

Consequently, for Question 2, my understanding is as below:

I should follow the RULE1 to bind an IRB to it's associated EVPN IP-VRF.

I should follow the RULE2 to bind an IRB to it's associated EVPN MAC-VRF.

Is my understanding correct?

Best Regards

Bob

---

From: <[email-masked]>
Date: Wed, 24 Apr 2019 11:57:58 +0800 (CST)

Hi all,

I find some conflicting rules about interface-to-VRF binding between RFC8529 and draft-ietf-bess-l2vpn-yang-09.txt.

Thanks Acee for reminding me to check the changes in the new version of these documents.

And I update the original mail as below after the checking:    

RULE1: [RFC8529] Section 3.2 says that:

RULE2: [draft-ietf-bess-evpn-yang-07] Section 3.3 says that:

     augment 

 

 

 

 

 

 

Best Regards,

Bob

The Oringinal Mail

发件人：AceeLindem(acee) <[email-masked]>
收件人：[email-masked];[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;Patrice Brissette(pbrisset) <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;Ali Sajassi (sajassi) <[email-masked]>;
日 期 ：2019年04月23日 23:53
主 题 ：Re: [BESS] Conflicting rules among the Yang models on the associationbetween IRB/AC interface and IP-VRF/MAC-VRF instance.

Bob,

From: "[email-masked]" <[email-masked]>
 Date: Monday, April 22, 2019 at 10:52 PM
 To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "Patrice Brissette (pbrisset)" <[email-masked]>, "[email-masked]" <[email-masked]>, Iftekhar Hussain <[email-masked]>, "[email-masked]" <[email-masked]>,  "[email-masked]" <[email-masked]>, Christian Hopps <[email-masked]>, Acee Lindem <[email-masked]>, Dean Bogdanovic <[email-masked]>, "[email-masked]" <[email-masked]>, Helen Chen <[email-masked]>, "Rabadan, Jorge (Nokia - US)"  <[email-masked]>, "Ali Sajassi (sajassi)" <[email-masked]>
 Subject: [BESS] Conflicting rules among the Yang models on the association between IRB/AC interface and IP-VRF/MAC-VRF instance.

 

Hi all,

Not that the NI model has been published as RFC 8529.

Thanks,

Acee

It is as below:

     augment 

 

 

 

 

 

 

Best Regards

Bob